<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-title>{{title}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="form">
    <ion-list>
      <ion-item-divider color="medium">
        <ion-label>
          <h2>Personal Information</h2>
        </ion-label>
      </ion-item-divider>
      <ion-item>
        <ion-label color="medium">
          Name
        </ion-label>
        <ion-input type="text" formControlName="Name" placeholder="(required)"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          TIN
        </ion-label>
        <ion-input type="text" formControlName="TIN"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Email
        </ion-label>
        <ion-input type="email" formControlName="Email"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Mobile #
        </ion-label>
        <ion-input type="tel" formControlName="MobileNo"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Office #
        </ion-label>
        <ion-input type="tel" formControlName="OfficePhoneNo"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Business #
        </ion-label>
        <ion-input type="tel" formControlName="BusinessPhoneNo"></ion-input>
      </ion-item>
      <ion-item-divider color="medium">
        <ion-label>
          <h2>Contact Information</h2>
        </ion-label>
      </ion-item-divider>
      <ion-item>
        <ion-label color="medium">
          Contact Person
        </ion-label>
        <ion-input type="text" formControlName="ContactPerson" placeholder="(required)"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Contact #
        </ion-label>
        <ion-input type="tel" formControlName="ContactNo" placeholder="(required)"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Email
        </ion-label>
        <ion-input type="email" formControlName="ContactEmail"></ion-input>
      </ion-item>
    
      <ion-item-divider color="medium">
        <ion-label>
          <h2>Address Information</h2>
        </ion-label>
      </ion-item-divider>
      <ion-item hidden>
        <ion-label color="medium">
          Area
        </ion-label>
        <ion-select formControlName="AreaID">
          <ion-select-option></ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Address
        </ion-label>
        <ion-textarea rows="5" formControlName="Address" placeholder="(required)"></ion-textarea>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Zip Code
        </ion-label>
        <ion-input type="text" formControlName="ZipCode" placeholder="(required)"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Bill to Address
        </ion-label>
        <ion-textarea rows="5" formControlName="BillToAddress"></ion-textarea>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Ship to Address
        </ion-label>
        <ion-textarea rows="5" formControlName="ShipToAddress"></ion-textarea>
      </ion-item>
      <ion-item (click)="selectCity()">
        <ion-label color="medium">
          City or Municipality
        </ion-label>
        <ion-textarea [readonly]="true" placeholder="(required)" [value]="getFormValue('CityMunicipality')"></ion-textarea>
      </ion-item>
      <ion-item (click)="selectTerritory()">
        <ion-label color="medium">
          Territory
        </ion-label>
        <ion-textarea [readonly]="true" placeholder="(required)" [value]="getFormValue('TerritoryName')"></ion-textarea>
      </ion-item>
      <ion-item>
        <ion-label color="medium">
          Barangay
        </ion-label>
        <ion-input type="text" formControlName="Barangay"></ion-input>
      </ion-item>
      <ion-row class="readonly ion-text-left" *ngIf="getFormValue('CityMunicipalityID')">
        <ion-col size="6">
          <ion-label color="medium">Province</ion-label>
          <p class="c-primary">{{getFormValue('Province')}}</p>
        </ion-col>
        <ion-col size="6">
          <ion-label color="medium">Region</ion-label>
          <p class="c-primary">{{getFormValue('Region')}}</p>
        </ion-col>
      </ion-row>         
      <ion-row class="readonly ion-text-left" *ngIf="getFormValue('TerritoryID')">
        <ion-col size="6">
        </ion-col>
        <ion-col size="6">
          <ion-label color="medium">Area</ion-label>
          <p class="c-primary">{{getFormValue('AreaName')}}</p>
        </ion-col>
      </ion-row>
      
      <ion-item-divider color="medium" *ngIf="getFormValue('ID')">
        <ion-label>
          <h2>Credit Line Information</h2>
        </ion-label>
      </ion-item-divider>  
      <ion-item *ngFor="let cl of customer.CreditLines">
        <ion-label>
          <h2>{{cl.Name}}</h2>
        </ion-label>
        <ion-label slot="end" class="ion-text-right">
          <p>Limit: {{cl.CreditLimit | currency: ' '}}</p>
          <p>Balance: {{cl.Balance | currency: ' '}}</p>
        </ion-label>        
      </ion-item>
    </ion-list>
  </form>
</ion-content>

<ion-footer>
  <ion-button shape="round" mode="ios" (click)="save()" [disabled]="!form.valid" *ngIf="!getFormValue('Status')">Save</ion-button>
</ion-footer>